Google Chrome update geeft issue in Moodle

Foutmelding

Bij onze supportdesk komen een aantal meldingen van verschillende klanten binnen dat er een foutpagina verschijnt bij het wijzigen van de cursusinstellingen en specifieker bij het selecteren van een cursusformat.

Update Google Chrome

Na onderzoek is gebleken dat dit wordt veroorzaakt door een recente update van Google Chrome (Versie 93.0.4577.63). Mijn collega die nog met een vorige versie werkte had de fout niet en na het updaten van Chrome kreeg ook hij de foutpagina.

Uit latere meldingen blijkt dat het probleem zich ook voordoet bij de Edge browser die naar mijn weten op hetzelfde ‘platform’ Chromium draait.

Workaround

Je kunt de fout omzeilen door tijdelijk een andere browser te gebruiken. In mijn geval komt de fout niet voor in Safari en Firefox.

Wij hebben melding gemaakt bij Moodle van dit fenomeen maar hoogstwaarschijnlijk kunnen zij er niets aan doen en is het even afwachten wat Google Chrome precies heeft gewijzigd en eventueel aan moet passen.

Update 7 september

Nagekomen informatie geeft aan dat het fenomeen al gemeld is bij Moodle in tracker issue 72494. Wij volgen dit issue en updaten je hier als er een oplossing is.

Update 10 september – oplossing via CSS

Er zijn veel mensen uit de Moodle community die een bijdrage leveren aan de melding die bij Moodle loopt. Vandaag is er gelukkig ook een oplossing! Door het toevoegen van een klein stukje CSS-code aan je thema wordt het probleem verholpen. Ga naar Sitebeheer / Uiterlijk en daarin je eigen thema. Zoek naar de plek waar je je eigen (S)CSS kunt toevoegen en plak daarin onderstaande code.

Moodle heeft het ook opgelost in de laatste releases van 3.10 en 3.11.

// Oplossing browser issue 092021
fieldset:target::before
{ content: unset; }

Blijf op de hoogte

Vul je e-mailadres in en lees als eerste onze blogs over Moodle.

Voeg je bij 398 andere abonnees